package org.q.app.engine.convert;

import org.q.app.engine.parse.ShellString;
import org.q.toolkit.convert.Validator;
import org.q.toolkit.lang.Check;

class EscapedStringValidator implements Validator {

	@Override
	public void check(final String value) {
		Check.isTrue(isValid(value), "Not valid: %", value);
	}

	@Override
	public boolean isValid(final String value) {
		return !ShellString.hasInvalidEscapeSequence(value);
	}

}
