package org.q.toolkit.apps.sys;

import java.util.Map.Entry;
import java.util.Set;
import java.util.TreeMap;

import org.q.toolkit.lang.Str;

public class SystemProperties {

	public static void main(String[] args) {
		TreeMap<String, String> properties = new TreeMap<>();
		Set<Object> keys = System.getProperties().keySet();
		for (Object key : keys) {
			properties.put(key.toString(), System.getProperty(key.toString()).trim());
		}
		for (Entry<String, String> entry : properties.entrySet()) {
			System.out.println(Str.sub("$ => $", entry.getKey(), entry.getValue()));
		}
	}
}
