package org.q.app.engine.meta;

import org.q.app.engine.parse.ShellArgument;
import org.q.app.general.ObjectOverrides;
import org.q.toolkit.lang.concurrent.Immutable;

@Immutable
class ArgumentMetadata extends ObjectOverrides {

	private final ShellArgument value;

	public ArgumentMetadata(final ShellArgument value) {
		this.value = value;
	}

	public ShellArgument getValue() {
		return value;
	}

}
